## libftdi1 1.2

=== ftdi_eeprom/CMakeLists.txt ===

option(FTDI_EEPROM "Build ftdi_eeprom" ON)

if ( FTDI_EEPROM )
  find_package ( Confuse )
  find_package ( Libintl )
else(FTDI_EEPROM)
  message(STATUS "ftdi_eeprom build is disabled")
endif ()


if ( CONFUSE_FOUND )
  message(STATUS "Building ftdi_eeprom")

  include_directories ( ${CONFUSE_INCLUDE_DIRS} )
  list ( APPEND libs ${CONFUSE_LIBRARIES} )
  
  if ( LIBINTL_FOUND )
    include_directories ( ${LIBINTL_INCLUDE_DIR} )
    list ( APPEND libs ${LIBINTL_LIBRARIES} )
  endif ()

  
  # Version defines
  set ( EEPROM_MAJOR_VERSION 0 )
  set ( EEPROM_MINOR_VERSION 17 )
  set ( EEPROM_VERSION_STRING ${EEPROM_MAJOR_VERSION}.${EEPROM_MINOR_VERSION} )

  include_directories ( BEFORE ${CMAKE_SOURCE_DIR}/src )
  include_directories ( BEFORE ${CMAKE_CURRENT_BINARY_DIR} )

  configure_file(
    ftdi_eeprom_version.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/ftdi_eeprom_version.h
  )

  add_executable ( ftdi_eeprom main.c )
  target_link_libraries ( ftdi_eeprom ftdi1 ${CONFUSE_LIBRARIES} )
  if ( LIBINTL_FOUND )
    target_link_libraries ( ftdi_eeprom ${LIBINTL_LIBRARIES} )
  endif ()
  install ( TARGETS ftdi_eeprom DESTINATION bin )
else ()
  message ( STATUS "libConfuse not found, won't build ftdi_eeprom" )
endif ()

=== ftdipp/CMakeLists.txt ===
# Check
set(FTDI_BUILD_CPP False PARENT_SCOPE)

option ( FTDIPP "Build C++ binding library libftdi1++" ON )

# Targets
set(cpp_sources   ${CMAKE_CURRENT_SOURCE_DIR}/ftdi.cpp CACHE INTERNAL "List of cpp sources" )
set(cpp_headers   ${CMAKE_CURRENT_SOURCE_DIR}/ftdi.hpp CACHE INTERNAL "List of cpp headers" )
        
if (FTDIPP)

  if(Boost_FOUND)

    # Includes
    include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR}
                        ${CMAKE_CURRENT_SOURCE_DIR}
                        ${CMAKE_SOURCE_DIR}/src)

    include_directories(${Boost_INCLUDE_DIRS})



    set(FTDI_BUILD_CPP True PARENT_SCOPE)
    message(STATUS "Building libftdi1++")

    # Shared library
    add_library(ftdipp1 SHARED ${cpp_sources})

    math(EXPR VERSION_FIXUP "${MAJOR_VERSION} + 1")    # Compatiblity with previous releases
    set_target_properties(ftdipp1 PROPERTIES VERSION ${VERSION_FIXUP}.${MINOR_VERSION}.0 SOVERSION 2)

    # Prevent clobbering each other during the build
    set_target_properties(ftdipp1 PROPERTIES CLEAN_DIRECT_OUTPUT 1)

    # Dependencies
    target_link_libraries(ftdipp1 ftdi1 ${LIBUSB_LIBRARIES} ${BOOST_LIBRARIES})

    
    install ( TARGETS ftdipp1
              RUNTIME DESTINATION bin
              LIBRARY DESTINATION lib${LIB_SUFFIX}
              ARCHIVE DESTINATION lib${LIB_SUFFIX}
            )
            
    # Static library
    if ( STATICLIBS )
      add_library(ftdipp1-static STATIC ${cpp_sources})
      set_target_properties(ftdipp1-static PROPERTIES OUTPUT_NAME "ftdipp1")
      set_target_properties(ftdipp1-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)

      install ( TARGETS ftdipp1-static
                ARCHIVE DESTINATION lib${LIB_SUFFIX}
                COMPONENT staticlibs
              )
    endif ()

    install ( FILES ${cpp_headers}
              DESTINATION include/${PROJECT_NAME}
              COMPONENT headers
            )

  else ()
    message(STATUS "Boost not found, won't build libftdi1++")
  endif ()

else ()
  message(STATUS "Not building libftdi1++")
endif ()

=== python/CMakeLists.txt ===
option ( PYTHON_BINDINGS "Build python bindings via swig" ON )
option ( LINK_PYTHON_LIBRARY "Link against python libraries" ON )

if ( PYTHON_BINDINGS )
  # workaround for cmake bug #0013449
  if ( NOT DEFINED CMAKE_FIND_ROOT_PATH )
    find_package ( SWIG )
  else ()
    find_program ( SWIG_EXECUTABLE NAMES swig2.0 swig )
    if ( SWIG_EXECUTABLE )
      set ( SWIG_USE_FILE ${CMAKE_ROOT}/Modules/UseSWIG.cmake )
      set ( SWIG_FOUND TRUE )
    endif ()
  endif ()
  find_package ( PythonLibs )
  find_package ( PythonInterp )
endif ()

if ( SWIG_FOUND AND PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND )
  include ( UseSWIG )
  include_directories ( BEFORE ${CMAKE_SOURCE_DIR}/src )
  include_directories ( ${PYTHON_INCLUDE_DIRS} )
  link_directories ( ${CMAKE_CURRENT_BINARY_DIR}/../src )

  if ( DOCUMENTATION AND DOXYGEN_FOUND )
    set(CMAKE_SWIG_FLAGS -DDOXYGEN=${DOXYGEN_FOUND})
  endif()
  swig_add_module ( ftdi1 python ftdi1.i )
  swig_link_libraries ( ftdi1 ftdi1 )

  if ( LINK_PYTHON_LIBRARY )
    swig_link_libraries ( ftdi1 ${PYTHON_LIBRARIES} )
  endif ()

  set_target_properties ( ${SWIG_MODULE_ftdi1_REAL_NAME} PROPERTIES NO_SONAME ON )

  execute_process ( COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; print( sysconfig.get_python_lib( plat_specific=True, prefix='${CMAKE_INSTALL_PREFIX}' ) )"
                    OUTPUT_VARIABLE _ABS_PYTHON_MODULE_PATH
                    OUTPUT_STRIP_TRAILING_WHITESPACE )

  get_filename_component ( _ABS_PYTHON_MODULE_PATH ${_ABS_PYTHON_MODULE_PATH} ABSOLUTE )
  file ( RELATIVE_PATH _REL_PYTHON_MODULE_PATH ${CMAKE_INSTALL_PREFIX} ${_ABS_PYTHON_MODULE_PATH} )

  set ( PYTHON_MODULE_PATH
        ${_REL_PYTHON_MODULE_PATH}
      )

  install ( FILES ${CMAKE_CURRENT_BINARY_DIR}/ftdi1.py DESTINATION ${PYTHON_MODULE_PATH} )
  install ( TARGETS ${SWIG_MODULE_ftdi1_REAL_NAME} LIBRARY DESTINATION ${PYTHON_MODULE_PATH} )

  if ( DOCUMENTATION AND DOXYGEN_FOUND )
      # Run doxygen to only generate the xml
      add_custom_command ( OUTPUT ${CMAKE_BINARY_DIR}/doc/xml/ftdi_8c.xml
          COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_BINARY_DIR}/doc
          COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile.xml
          WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
          DEPENDS ${c_headers};${c_sources};${cpp_sources};${cpp_headers}
      )

      # generate .i from doxygen .xml
      add_custom_command ( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/ftdi1_doc.i
          COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/doxy2swig.py -n
              ${CMAKE_BINARY_DIR}/doc/xml/ftdi_8c.xml
              ${CMAKE_CURRENT_BINARY_DIR}/ftdi1_doc.i
          DEPENDS ${CMAKE_BINARY_DIR}/doc/xml/ftdi_8c.xml
      )
      add_custom_target ( doc_i DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/ftdi1_doc.i )
      add_dependencies( ${SWIG_MODULE_ftdi1_REAL_NAME} doc_i )

  endif ()

  set ( LIBFTDI_PYTHON_MODULE_PATH ${CMAKE_INSTALL_PREFIX}/${PYTHON_MODULE_PATH} )
  set ( LIBFTDI_PYTHON_MODULE_PATH ${LIBFTDI_PYTHON_MODULE_PATH} PARENT_SCOPE ) # for ftdiconfig.cmake
  message(STATUS "Building python bindings via swig. Will be installed under ${LIBFTDI_PYTHON_MODULE_PATH}")

  add_subdirectory ( examples )
else ()
  message(STATUS "Not building python bindings")
endif ()

=== src/CMakeLists.txt ===
# Includes
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
                     )

# Version information
set(SNAPSHOT_VERSION "unknown")
execute_process(COMMAND git describe
                OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
                RESULT_VARIABLE GIT_DESCRIBE_RESULT
                OUTPUT_STRIP_TRAILING_WHITESPACE
                )
if(${GIT_DESCRIBE_RESULT} STREQUAL 0)
  set(SNAPSHOT_VERSION ${GIT_DESCRIBE_OUTPUT})
endif ()
message(STATUS "Detected git snapshot version: ${SNAPSHOT_VERSION}")

configure_file(ftdi_version_i.h.in "${CMAKE_CURRENT_BINARY_DIR}/ftdi_version_i.h" @ONLY)

# Targets
set(c_sources     ${CMAKE_CURRENT_SOURCE_DIR}/ftdi.c ${CMAKE_CURRENT_SOURCE_DIR}/ftdi_stream.c CACHE INTERNAL "List of c sources" )
set(c_headers     ${CMAKE_CURRENT_SOURCE_DIR}/ftdi.h CACHE INTERNAL "List of c headers" )

add_library(ftdi1 SHARED ${c_sources})

math(EXPR VERSION_FIXUP "${MAJOR_VERSION} + 1")    # Compatiblity with previous releases
set_target_properties(ftdi1 PROPERTIES VERSION ${VERSION_FIXUP}.${MINOR_VERSION}.0 SOVERSION 2)
# Prevent clobbering each other during the build
set_target_properties ( ftdi1 PROPERTIES CLEAN_DIRECT_OUTPUT 1 )


# Dependencies
target_link_libraries(ftdi1 ${LIBUSB_LIBRARIES})

install ( TARGETS ftdi1
          RUNTIME DESTINATION bin
          LIBRARY DESTINATION lib${LIB_SUFFIX}
          ARCHIVE DESTINATION lib${LIB_SUFFIX}
        )

if ( STATICLIBS )
  add_library(ftdi1-static STATIC ${c_sources})
  target_link_libraries(ftdi1-static ${LIBUSB_LIBRARIES})
  set_target_properties(ftdi1-static PROPERTIES OUTPUT_NAME "ftdi1")
  set_target_properties(ftdi1-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
  install ( TARGETS ftdi1-static
            ARCHIVE DESTINATION lib${LIB_SUFFIX}
            COMPONENT staticlibs
          )
endif ()

install ( FILES ${c_headers}
          DESTINATION include/${PROJECT_NAME}
          COMPONENT headers
        )

=== test/CMakeLists.txt ===
# Optional unit test

if(BUILD_TESTS)

    find_package(Boost COMPONENTS unit_test_framework)

    if(Boost_UNIT_TEST_FRAMEWORK_FOUND)

        message(STATUS "Building unit test")

        enable_testing()

        INCLUDE_DIRECTORIES(BEFORE ${CMAKE_SOURCE_DIR}/src ${Boost_INCLUDE_DIRS})

        set(cpp_tests
            basic.cpp
            baudrate.cpp
        )

        add_executable(test_libftdi1 ${cpp_tests})
        target_link_libraries(test_libftdi1 ftdi1 ${Boost_UNIT_TEST_FRAMEWORK_LIBRARIES})

        add_test(test_libftdi1 test_libftdi1)

        # Add custom target so we run easily run "make check"
        add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} DEPENDS test_libftdi1)

    else(Boost_UNIT_TEST_FRAMEWORK_FOUND)

        message(STATUS "NOT building unit test (requires boost unit test framework)")

    endif(Boost_UNIT_TEST_FRAMEWORK_FOUND)

else(BUILD_TESTS)

    message(STATUS "NOT building unit test")

endif(BUILD_TESTS)

=== debian/changelog ===
libftdi1 (1.2-5build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Jan 2016 11:36:06 +0000

libftdi1 (1.2-5) unstable; urgency=medium

  * Don't link python extensions with the python interpreter (closes:
    #802809).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 24 Oct 2015 02:19:45 +0200

libftdi1 (1.2-4) unstable; urgency=medium

  * Rename libftdipp1-2 into libftdipp1-2v5 for the GCC 5 ABI transition.
  * Build-depends on g++ (>= 4:5.2) and boost (>= 1.58).
  * Force C++ standard to c++11 to prepare for the GCC 6 transition.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 03 Aug 2015 14:04:23 +0000

libftdi1 (1.2-3) unstable; urgency=medium

  * Upstream uses SWIG + CMake to build the Python bindings, and TTBOMK
    this gives no easy way to install a Python shared library whose name
    includes the ABI. To fix the installation with multiple Python
    versions, rename the shared library to include the ABI just after
    calling "make install" (closes: #793830).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 29 Jul 2015 00:02:46 +0200

libftdi1 (1.2-2) unstable; urgency=medium

  * Fix 01-cmake-multiarch.diff to correctly generate libftdi1.pc.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 18 Jul 2015 22:37:34 +0200

libftdi1 (1.2-1) unstable; urgency=low

  * New package based on libftdi providing a new upstream version with
    an incompatible API (closes: #706301, #766582, #781545).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 27 Apr 2015 23:56:27 +0200

=== debian/control ===
Source: libftdi1
Section: libs
Priority: optional
Maintainer: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper (>= 9), cmake, dh-python, doxygen, libboost-test-dev (>= 1.58), libconfuse-dev, libusb-1.0-0-dev, pkg-config, python-all-dev, python3-all-dev, swig, g++ (>= 4:5.2)
Standards-Version: 3.9.6
Homepage: http://www.intra2net.com/en/developer/libftdi/
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.0

Package: ftdi-eeprom
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool for reading/erasing/flashing FTDI USB chip EEPROMs
 ftdi-eeprom is a small tool for creating and uploading the configuration
 EEPROM for the FTDI chip. This eeprom contains information such as vendor
 and product ID, manufacturer and product strings, revision, etc.

Package: libftdi1-2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to control and program the FTDI USB controllers
 This library could talk to FTDI's FT232BM, FT245BM, FT2232C, FT2232D, FT245R,
 FT232H and FT230X type USB chips from userspace. It uses libusb 1.0 to
 communicate with the chips.
 .
 Functionalities include the possibility to use the chips in standard
 mode, in bitbang mode, and to read or write the serial EEPROM.
 .
 This is the C version of the library.

Package: libftdi1-dev
Section: libdevel
Architecture: any
Depends: libftdi1-2 (= ${binary:Version}), libusb-1.0-0-dev, ${misc:Depends}
Description: Development files for libftdi1
 This package contains the header files and static library needed to
 compile applications that use libftdi1.

Package: libftdi1-2-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libftdi1-2 (= ${binary:Version}), ${misc:Depends}
Recommends: libusb-1.0-0-dbg
Description: Debugging symbols for libftdi1-2
 This package contains detached debugging symbols for the libftdi1
 library.

Package: libftdipp1-2v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libftdipp1-2
Replaces: libftdipp1-2
Description: Library to control and program the FTDI USB controllers
 This library could talk to FTDI's FT232BM, FT245BM, FT2232C, FT2232D, FT245R,
 FT232H and FT230X type USB chips from userspace. It uses libusb 1.0 to
 communicate with the chips.
 .
 Functionalities include the possibility to use the chips in standard
 mode, in bitbang mode, and to read or write the serial EEPROM.
 .
 This is the C++ version of the library.

Package: libftdipp1-dev
Section: libdevel
Architecture: any
Depends: libftdipp1-2v5 (= ${binary:Version}), libftdi1-dev (= ${binary:Version}), libboost-dev (>= 1.58), ${misc:Depends}
Description: Development files for libftdipp1
 This package contains the header files and static library needed to
 compile applications that use libftdipp1.

Package: libftdipp1-2v5-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libftdipp1-2v5 (= ${binary:Version}), ${misc:Depends}
Recommends: libftdi1-2-dbg
Description: Debugging symbols for libftdipp1-2v5
 This package contains detached debugging symbols for the libftdipp1
 library.

Package: python-ftdi1
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python module to control and program the FTDI USB controllers
 This library could talk to FTDI's FT232BM, FT245BM, FT2232C, FT2232D, FT245R,
 FT232H and FT230X type USB chips from userspace. It uses libusb 1.0 to
 communicate with the chips.
 .
 Functionalities include the possibility to use the chips in standard
 mode, in bitbang mode, and to read or write the serial EEPROM.
 .
 This package provides the ftdi1 module on the Python 2 module path. It
 is complemented by python3-ftdi1.

Package: python3-ftdi1
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Python module to control and program the FTDI USB controllers
 This library could talk to FTDI's FT232BM, FT245BM, FT2232C, FT2232D, FT245R,
 FT232H and FT230X type USB chips from userspace. It uses libusb 1.0 to
 communicate with the chips.
 .
 Functionalities include the possibility to use the chips in standard
 mode, in bitbang mode, and to read or write the serial EEPROM.
 .
 This package provides the ftdi1 module on the Python 3 module path. It
 is complemented by python-ftdi1.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2,python3

# Force C++ standard to c++11 to prepare for the GCC 6 transition
export DEB_CXXFLAGS_MAINT_PREPEND=-std=c++11 

# Available python versions
PY2VERS = $(shell pyversions -v -r debian/control)
PY3VERS = $(shell py3versions -v -r debian/control)
PYVERS = $(PY2VERS) $(PY3VERS)

override_dh_auto_configure:
	mkdir $(CURDIR)/build-main
	cd $(CURDIR)/build-main && \
		cmake -DCMAKE_INSTALL_PREFIX="/usr" \
		      -DCMAKE_INSTALL_LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" \
		      -DDOCUMENTATION:BOOL=ON \
		      -DEXAMPLES:BOOL=ON \
		      -DFTDIPP:BOOL=ON \
		      -DFTDI_EEPROM:BOOL=ON \
		      -DPYTHON_BINDINGS:BOOL=OFF \
		      $(CURDIR)
	for v in $(PYVERS) ; do \
		mkdir $(CURDIR)/build-python$$v ; \
		cd $(CURDIR)/build-python$$v && \
		        PYTHON_INCLUDE_DIR=$$(python$$v -c "import sysconfig;print(sysconfig.get_config_var('INCLUDEPY'))") ; \
		        PYTHON_LIBRARY=$$(python$$v -c "import sysconfig;print('/usr/lib/%s/%s'%(sysconfig.get_config_var('MULTIARCH'), sysconfig.get_config_var('LDLIBRARY')))") ; \
			cmake -DCMAKE_INSTALL_PREFIX="/usr" \
			      -DCMAKE_INSTALL_LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" \
			      -DPYTHON_EXECUTABLE:FILEPATH=/usr/bin/python$$v \
			      -DPYTHON_INCLUDE_DIR:PATH=$$PYTHON_INCLUDE_DIR \
			      -DPYTHON_LIBRARY:FILEPATH=$$PYTHON_LIBRARY \
			      -DDOCUMENTATION:BOOL=OFF \
			      -DEXAMPLES:BOOL=OFF \
			      -DFTDIPP:BOOL=OFF \
			      -DFTDI_EEPROM:BOOL=OFF \
			      -DPYTHON_BINDINGS:BOOL=ON \
			      -DLINK_PYTHON_LIBRARY:BOOL=OFF \
		      $(CURDIR) ; \
	done

override_dh_auto_build:
	make -C $(CURDIR)/build-main
	for v in $(PYVERS) ; do \
		make -C $(CURDIR)/build-python$$v ; \
	done

override_dh_auto_install:
	make -C $(CURDIR)/build-main install DESTDIR=$(CURDIR)/debian/tmp
	for v in $(PY2VERS) ; do \
		make -C $(CURDIR)/build-python$$v install DESTDIR=$(CURDIR)/debian/tmp ; \
	done
	for v in $(PY3VERS) ; do \
		make -C $(CURDIR)/build-python$$v install DESTDIR=$(CURDIR)/debian/tmp ; \
		python$$v -c "from distutils import sysconfig; import os; destdir='$(CURDIR)/debian/tmp'; libdir=sysconfig.get_python_lib(); ext=sysconfig.get_config_var('EXT_SUFFIX'); os.rename(os.path.join(destdir + libdir, '_ftdi1.so'), os.path.join(destdir + libdir, '_ftdi1' + ext))" ; \
	done

override_dh_auto_clean:
	rm -fr $(CURDIR)/build-*
	dh_auto_clean

override_dh_strip-arch:
	dh_strip -plibftdi1-2 --dbg-package=libftdi1-2-dbg
	dh_strip -plibftdipp1-2v5 --dbg-package=libftdipp1-2v5-dbg
	dh_strip --remaining-packages

## libftdi1 1.3

=== ftdi_eeprom/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,12 @@
+# determine docdir
+include(GNUInstallDirs)
+if(NOT CMAKE_INSTALL_DOCDIR)
+  if(WIN32)
+    set(CMAKE_INSTALL_DOCDIR .)
+  else(WIN32)
+    set(CMAKE_INSTALL_DOCDIR ${CMAKE_INSTALL_DATAROOTDIR}/doc/${PROJECT_NAME})
+  endif(WIN32)
+endif(NOT CMAKE_INSTALL_DOCDIR)
 
 option(FTDI_EEPROM "Build ftdi_eeprom" ON)
 
@@ -14,13 +23,13 @@
 
   include_directories ( ${CONFUSE_INCLUDE_DIRS} )
   list ( APPEND libs ${CONFUSE_LIBRARIES} )
-  
+
   if ( LIBINTL_FOUND )
     include_directories ( ${LIBINTL_INCLUDE_DIR} )
     list ( APPEND libs ${LIBINTL_LIBRARIES} )
   endif ()
 
-  
+
   # Version defines
   set ( EEPROM_MAJOR_VERSION 0 )
   set ( EEPROM_MINOR_VERSION 17 )
@@ -40,7 +49,7 @@
     target_link_libraries ( ftdi_eeprom ${LIBINTL_LIBRARIES} )
   endif ()
   install ( TARGETS ftdi_eeprom DESTINATION bin )
+  install ( FILES example.conf DESTINATION ${CMAKE_INSTALL_DOCDIR} )
 else ()
   message ( STATUS "libConfuse not found, won't build ftdi_eeprom" )
 endif ()
-

=== debian/changelog ===
libftdi1 (1.3-2) unstable; urgency=medium

  * debian/patches/01-cmake-multiarch.diff: update to also fix
    LIBFTDI_USE_FILE in multiarch systems. Thanks to Jochen Sprickerhof
    for the patch (closes: #832617).
  * debian/rules: enable the C++ library even for the python builds so
    that LibFTDI1Config.cmake contains both LIBFTDI_PYTHON_MODULE_PATH
    and LIBFTDIPP* entries.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 04 Aug 2016 23:06:25 +0000

libftdi1 (1.3-1) unstable; urgency=medium

  * New upstream version.
  * Stop building -dbg packages, please use the -dbgsym packages instead.
  * Move the documentation from libftdi1-dev to libftdi1-doc as
    recommended by recent policy versions.
  * Bumped Standards-Version to 3.9.8.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 01 Jun 2016 23:00:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Aurelien Jarno <aurel32@debian.org>
 Build-Depends: debhelper (>= 9), cmake, dh-python, doxygen, libboost-test-dev (>= 1.58), libconfuse-dev, libusb-1.0-0-dev, pkg-config, python-all-dev, python3-all-dev, swig, g++ (>= 4:5.2)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.intra2net.com/en/developer/libftdi/
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
@@ -37,20 +37,18 @@
 Section: libdevel
 Architecture: any
 Depends: libftdi1-2 (= ${binary:Version}), libusb-1.0-0-dev, ${misc:Depends}
+Recommends: libftdi1-doc
 Description: Development files for libftdi1
  This package contains the header files and static library needed to
  compile applications that use libftdi1.
 
-Package: libftdi1-2-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libftdi1-2 (= ${binary:Version}), ${misc:Depends}
-Recommends: libusb-1.0-0-dbg
-Description: Debugging symbols for libftdi1-2
- This package contains detached debugging symbols for the libftdi1
- library.
+Package: libftdi1-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: libftdi1-dev
+Description: Documentation for libftdi1
+ This package contains the documentation of the libftdi1 library.
 
 Package: libftdipp1-2v5
 Section: libs
@@ -73,21 +71,11 @@
 Package: libftdipp1-dev
 Section: libdevel
 Architecture: any
+Recommends: libftdi1-doc
 Depends: libftdipp1-2v5 (= ${binary:Version}), libftdi1-dev (= ${binary:Version}), libboost-dev (>= 1.58), ${misc:Depends}
 Description: Development files for libftdipp1
  This package contains the header files and static library needed to
  compile applications that use libftdipp1.
-
-Package: libftdipp1-2v5-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libftdipp1-2v5 (= ${binary:Version}), ${misc:Depends}
-Recommends: libftdi1-2-dbg
-Description: Debugging symbols for libftdipp1-2v5
- This package contains detached debugging symbols for the libftdipp1
- library.
 
 Package: python-ftdi1
 Section: python

## libftdi1 1.4

=== CMakeLists.txt ===
# Project
project(libftdi1)
set(MAJOR_VERSION 1)
set(MINOR_VERSION 4)
set(PACKAGE libftdi1)
set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION})
set(VERSION ${VERSION_STRING})
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# CMake
if("${CMAKE_BUILD_TYPE}" STREQUAL "")
   set(CMAKE_BUILD_TYPE     RelWithDebInfo)
endif("${CMAKE_BUILD_TYPE}" STREQUAL "")
set(CMAKE_COLOR_MAKEFILE ON)
cmake_minimum_required(VERSION 2.6 FATAL_ERROR)

add_definitions(-Wall)

# Debug build
message("-- Build type: ${CMAKE_BUILD_TYPE}")
if(${CMAKE_BUILD_TYPE} STREQUAL Debug)
   add_definitions(-DDEBUG)
endif(${CMAKE_BUILD_TYPE} STREQUAL Debug)

# find libusb
find_package ( USB1 REQUIRED )
include_directories ( ${LIBUSB_INCLUDE_DIR} )

# Find Boost (optional package)
find_package(Boost)

# Set components
set(CPACK_COMPONENTS_ALL sharedlibs staticlibs headers)
set(CPACK_COMPONENT_SHAREDLIBS_DISPLAY_NAME "Shared libraries")
set(CPACK_COMPONENT_STATICLIBS_DISPLAY_NAME "Static libraries")
set(CPACK_COMPONENT_HEADERS_DISPLAY_NAME "C++ Headers")

set(CPACK_COMPONENT_SHAREDLIBS_DESCRIPTION
"Shared library for general use.")
set(CPACK_COMPONENT_STATICLIBS_DESCRIPTION
"Static library, good if you want to embed libftdi1 in your application.")
set(CPACK_COMPONENT_HEADERS_DESCRIPTION
"C/C++ header files.")

set(CPACK_COMPONENT_SHAREDLIBS_GROUP "Development")
set(CPACK_COMPONENT_STATICLIBS_GROUP "Development")
set(CPACK_COMPONENT_HEADERS_GROUP    "Development")

option ( STATICLIBS "Build static libraries" ON )

# guess LIB_SUFFIX, don't take debian multiarch into account 
if ( NOT DEFINED LIB_SUFFIX )
  if( CMAKE_SYSTEM_NAME MATCHES "Linux"
      AND NOT CMAKE_CROSSCOMPILING
      AND NOT EXISTS "/etc/debian_version"
      AND NOT EXISTS "/etc/arch-release" )
    if ( "${CMAKE_SIZEOF_VOID_P}" EQUAL "8" )
      set ( LIB_SUFFIX 64 )
    endif ()
  endif ()
endif ()

if(NOT APPLE)
  if(CMAKE_SIZEOF_VOID_P EQUAL 4)
      SET(PACK_ARCH "")
    else(CMAKE_SIZEOF_VOID_P EQUAL 8)
      SET(PACK_ARCH .x86_64)
  endif(CMAKE_SIZEOF_VOID_P EQUAL 4)
else(NOT APPLE)
  SET(PACK_ARCH "")
endif(NOT APPLE)

# Package information
set(CPACK_PACKAGE_VERSION              ${VERSION_STRING})
set(CPACK_PACKAGE_CONTACT              "Intra2net AG <libftdi@developer.intra2net.com>")
set(CPACK_PACKAGE_DESCRIPTION          "libftdi1 library.")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY  ${CPACK_PACKAGE_DESCRIPTION}
                                       )
# Package settings
if ( UNIX )
  set(CPACK_GENERATOR                    "DEB;RPM")
  set(CPACK_CMAKE_GENERATOR              "Unix Makefiles")
  set(CPACK_PACKAGE_NAME                 ${PROJECT_NAME})
  set(CPACK_PACKAGE_FILE_NAME            ${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}${PACK_ARCH})
endif ()

if ( WIN32 )
  set ( CPACK_GENERATOR                    "NSIS" )
  set ( CPACK_CMAKE_GENERATOR              "MinGW Makefiles" )
  set ( CPACK_PACKAGE_NAME                 "${PROJECT_NAME}" )
  set ( CPACK_PACKAGE_VENDOR               "" )
  set ( CPACK_PACKAGE_INSTALL_DIRECTORY    "libftdi1" )
  set ( CPACK_PACKAGE_FILE_NAME            "${PROJECT_NAME}-${VERSION_STRING}-win32")
  set ( CPACK_NSIS_DISPLAY_NAME            "libftdi1" )
  set ( CPACK_NSIS_MODIFY_PATH             ON )
endif ()

set(CPACK_RESOURCE_FILE_LICENSE        ${CMAKE_SOURCE_DIR}/LICENSE)

set(CPACK_SOURCE_GENERATOR             TGZ)
set(CPACK_SOURCE_IGNORE_FILES          "\\\\.git;~$;build/")
set(CPACK_SOURCE_PACKAGE_FILE_NAME     ${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION})

# Subdirectories
if ( UNIX )
  set ( CPACK_SET_DESTDIR ON )
endif ()

# "make dist" target
set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${VERSION_STRING})
add_custom_target(dist
    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
            | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

# Tests
option ( BUILD_TESTS "Build unit tests with Boost Unit Test framework" ON )

# Documentation
option ( DOCUMENTATION "Generate API documentation with Doxygen" ON )


find_package ( Doxygen )
if ( DOCUMENTATION AND DOXYGEN_FOUND )

   # Find doxy config
   message(STATUS "Doxygen found.")

   # Copy doxy.config.in
   set(top_srcdir ${CMAKE_SOURCE_DIR})
   configure_file(${CMAKE_SOURCE_DIR}/doc/Doxyfile.in ${CMAKE_BINARY_DIR}/Doxyfile )
   configure_file(${CMAKE_SOURCE_DIR}/doc/Doxyfile.xml.in ${CMAKE_BINARY_DIR}/Doxyfile.xml )

   # Run doxygen
   add_custom_command(
    OUTPUT ${CMAKE_BINARY_DIR}/doc/html/index.html
    COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_BINARY_DIR}/doc
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile
    DEPENDS ${c_headers};${c_sources};${cpp_sources};${cpp_headers}
   )

   add_custom_target(docs ALL DEPENDS ${CMAKE_BINARY_DIR}/doc/html/index.html)

   message(STATUS "Generating API documentation with Doxygen")
else(DOCUMENTATION AND DOXYGEN_FOUND)
   message(STATUS "Not generating API documentation")
endif(DOCUMENTATION AND DOXYGEN_FOUND)

add_subdirectory(src)
add_subdirectory(ftdipp)
add_subdirectory(python)
add_subdirectory(ftdi_eeprom)
add_subdirectory(examples)
add_subdirectory(packages)
add_subdirectory(test)

# PkgConfig
set(prefix      ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX}/bin)
set(includedir  ${CMAKE_INSTALL_PREFIX}/include/${PROJECT_NAME})

if(${UNIX})
   set(libdir      ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})
endif(${UNIX})
if(${WIN32})
   set(libdir      ${CMAKE_INSTALL_PREFIX}/bin)
endif(${WIN32})

configure_file(${CMAKE_SOURCE_DIR}/libftdi1.spec.in ${CMAKE_BINARY_DIR}/libftdi1.spec @ONLY)
configure_file(${CMAKE_SOURCE_DIR}/libftdi1.pc.in ${CMAKE_BINARY_DIR}/libftdi1.pc @ONLY)
configure_file(${CMAKE_SOURCE_DIR}/libftdipp1.pc.in ${CMAKE_BINARY_DIR}/libftdipp1.pc @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/libftdi1.pc ${CMAKE_BINARY_DIR}/libftdipp1.pc
        DESTINATION lib${LIB_SUFFIX}/pkgconfig)

if (UNIX OR MINGW)
  configure_file ( libftdi1-config.in ${CMAKE_CURRENT_BINARY_DIR}/libftdi1-config @ONLY )
  install ( PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/libftdi1-config
            DESTINATION bin )
endif ()

# config script install path
if ( NOT DEFINED LIBFTDI_CMAKE_CONFIG_DIR )
  set ( LIBFTDI_CMAKE_CONFIG_DIR lib${LIB_SUFFIX}/cmake/libftdi1 )
endif ()

set ( LIBFTDI_INCLUDE_DIR ${includedir} )
set ( LIBFTDI_INCLUDE_DIRS ${LIBFTDI_INCLUDE_DIR} )
set ( LIBFTDI_LIBRARY ftdi1 )
set ( LIBFTDI_LIBRARIES ${LIBFTDI_LIBRARY} )
list ( APPEND LIBFTDI_LIBRARIES ${LIBUSB_LIBRARIES} )
set ( LIBFTDI_STATIC_LIBRARY ftdi1.a )
set ( LIBFTDI_STATIC_LIBRARIES ${LIBFTDI_STATIC_LIBRARY} )
list ( APPEND LIBFTDI_STATIC_LIBRARIES ${LIBUSB_LIBRARIES} )
if (FTDI_BUILD_CPP)
  set ( LIBFTDIPP_LIBRARY ftdipp1 )
  set ( LIBFTDIPP_LIBRARIES ${LIBFTDIPP_LIBRARY} )
  list ( APPEND LIBFTDIPP_LIBRARIES ${LIBUSB_LIBRARIES} )
endif ()
set ( LIBFTDI_LIBRARY_DIRS ${libdir} )
set ( LIBFTDI_ROOT_DIR ${prefix} )
set ( LIBFTDI_VERSION_STRING ${VERSION_STRING} )
set ( LIBFTDI_VERSION_MAJOR ${MAJOR_VERSION} )
set ( LIBFTDI_VERSION_MINOR ${MINOR_VERSION} )

set ( LIBFTDI_USE_FILE ${CMAKE_INSTALL_PREFIX}/${LIBFTDI_CMAKE_CONFIG_DIR}/UseLibFTDI1.cmake )

if(CMAKE_VERSION VERSION_LESS 2.8.8) 
  configure_file ( cmake/LibFTDI1Config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/LibFTDI1Config.cmake @ONLY )
  configure_file ( cmake/LibFTDI1ConfigVersion.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/LibFTDI1ConfigVersion.cmake @ONLY )
else ()
  include(CMakePackageConfigHelpers)

  configure_package_config_file (
    cmake/LibFTDI1Config.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/LibFTDI1Config.cmake
    INSTALL_DESTINATION ${LIBFTDI_CMAKE_CONFIG_DIR}
    PATH_VARS
      LIBFTDI_USE_FILE
      LIBFTDI_ROOT_DIR
      LIBFTDI_INCLUDE_DIR
      LIBFTDI_INCLUDE_DIRS
      LIBFTDI_LIBRARY_DIRS
    NO_CHECK_REQUIRED_COMPONENTS_MACRO
  )
  write_basic_package_version_file (
    LibFTDI1ConfigVersion.cmake 
    VERSION ${LIBFTDI_VERSION_STRING} 
    COMPATIBILITY AnyNewerVersion
  )
endif ()


install ( FILES 
            ${CMAKE_CURRENT_BINARY_DIR}/LibFTDI1Config.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/LibFTDI1ConfigVersion.cmake
            cmake/UseLibFTDI1.cmake

          DESTINATION ${LIBFTDI_CMAKE_CONFIG_DIR}
        )




include(CPack)

=== ftdipp/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
     add_library(ftdipp1 SHARED ${cpp_sources})
 
     math(EXPR VERSION_FIXUP "${MAJOR_VERSION} + 1")    # Compatiblity with previous releases
-    set_target_properties(ftdipp1 PROPERTIES VERSION ${VERSION_FIXUP}.${MINOR_VERSION}.0 SOVERSION 2)
+    set_target_properties(ftdipp1 PROPERTIES VERSION ${VERSION_FIXUP}.${MINOR_VERSION}.0 SOVERSION 3)
 
     # Prevent clobbering each other during the build
     set_target_properties(ftdipp1 PROPERTIES CLEAN_DIRECT_OUTPUT 1)

=== python/CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,8 @@
 
   if ( LINK_PYTHON_LIBRARY )
     swig_link_libraries ( ftdi1 ${PYTHON_LIBRARIES} )
+  elseif( APPLE )
+    set_target_properties ( ${SWIG_MODULE_ftdi1_REAL_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup" )
   endif ()
 
   set_target_properties ( ${SWIG_MODULE_ftdi1_REAL_NAME} PROPERTIES NO_SONAME ON )

=== python/examples/CMakeLists.txt ===
install ( FILES simple.py complete.py cbus.py
          DESTINATION share/libftdi/examples
          PERMISSIONS OWNER_READ GROUP_READ WORLD_READ 
        )

=== debian/changelog ===
libftdi1 (1.4-2build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2020 16:46:49 +0100

libftdi1 (1.4-2build1) focal; urgency=medium

  * No-change rebuild to build with Python 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 22:34:04 +0200

libftdi1 (1.4-2) unstable; urgency=medium

  * Drop python2 package (closes: #936860).
  * Drop X-Python3-Version.
  * Set Rules-Requires-Root to no.
  * Push debhelper level to 12.
  * Drop build-depends on ancient g++ version.
  * Move documentation to /usr/share/doc/libftdi1-dev for compliance with
    debian policy and compatibility with debhelper compatibility >= 11.
  * Bump Standards-Version to 4.4.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 31 Aug 2019 10:28:30 +0200

libftdi1 (1.4-1) unstable; urgency=medium

  * New upstream version:
    - Update libftdi1-2 symbols file.
    - Rename libftdipp1-2v5 into libftdi1pp-3 following soname change.
  * debian/control: update to use https link.
  * debian/copyright: update to use https link.
  * Add debian/upstream/signing-key.asc.
  * Switch to debhelper 10.
  * Bumped Standards-Version to 4.1.1.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 26 Nov 2017 00:26:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: libs
 Priority: optional
 Maintainer: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 9), cmake, dh-python, doxygen, libboost-test-dev (>= 1.58), libconfuse-dev, libusb-1.0-0-dev, pkg-config, python-all-dev, python3-all-dev, swig, g++ (>= 4:5.2)
-Standards-Version: 3.9.8
-Homepage: http://www.intra2net.com/en/developer/libftdi/
-X-Python-Version: >= 2.4
-X-Python3-Version: >= 3.0
+Build-Depends: debhelper-compat (= 12), cmake, dh-python, doxygen, libboost-test-dev (>= 1.58), libconfuse-dev, libusb-1.0-0-dev, pkg-config, python3-all-dev, swig
+Rules-Requires-Root: no
+Standards-Version: 4.4.0
+Homepage: https://www.intra2net.com/en/developer/libftdi/
 
 Package: ftdi-eeprom
 Section: utils
@@ -50,14 +49,12 @@
 Description: Documentation for libftdi1
  This package contains the documentation of the libftdi1 library.
 
-Package: libftdipp1-2v5
+Package: libftdipp1-3
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libftdipp1-2
-Replaces: libftdipp1-2
 Description: Library to control and program the FTDI USB controllers
  This library could talk to FTDI's FT232BM, FT245BM, FT2232C, FT2232D, FT245R,
  FT232H and FT230X type USB chips from userspace. It uses libusb 1.0 to
@@ -72,26 +69,10 @@
 Section: libdevel
 Architecture: any
 Recommends: libftdi1-doc
-Depends: libftdipp1-2v5 (= ${binary:Version}), libftdi1-dev (= ${binary:Version}), libboost-dev (>= 1.58), ${misc:Depends}
+Depends: libftdipp1-3 (= ${binary:Version}), libftdi1-dev (= ${binary:Version}), libboost-dev (>= 1.58), ${misc:Depends}
 Description: Development files for libftdipp1
  This package contains the header files and static library needed to
  compile applications that use libftdipp1.
-
-Package: python-ftdi1
-Section: python
-Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: Python module to control and program the FTDI USB controllers
- This library could talk to FTDI's FT232BM, FT245BM, FT2232C, FT2232D, FT245R,
- FT232H and FT230X type USB chips from userspace. It uses libusb 1.0 to
- communicate with the chips.
- .
- Functionalities include the possibility to use the chips in standard
- mode, in bitbang mode, and to read or write the serial EEPROM.
- .
- This package provides the ftdi1 module on the Python 2 module path. It
- is complemented by python3-ftdi1.
 
 Package: python3-ftdi1
 Section: python
@@ -106,5 +87,4 @@
  Functionalities include the possibility to use the chips in standard
  mode, in bitbang mode, and to read or write the serial EEPROM.
  .
- This package provides the ftdi1 module on the Python 3 module path. It
- is complemented by python-ftdi1.
+ This package provides the ftdi1 module on the Python 3 module path.

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,12 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with python2,python3
+	dh $@ --with python3
 
 # Force C++ standard to c++11 to prepare for the GCC 6 transition
 export DEB_CXXFLAGS_MAINT_PREPEND=-std=c++11 
 
 # Available python versions
-PY2VERS = $(shell pyversions -v -r debian/control)
 PY3VERS = $(shell py3versions -v -r debian/control)
-PYVERS = $(PY2VERS) $(PY3VERS)
 
 override_dh_auto_configure:
 	mkdir $(CURDIR)/build-main
@@ -21,7 +19,7 @@
 		      -DFTDI_EEPROM:BOOL=ON \
 		      -DPYTHON_BINDINGS:BOOL=OFF \
 		      $(CURDIR)
-	for v in $(PYVERS) ; do \
+	for v in $(PY3VERS) ; do \
 		mkdir $(CURDIR)/build-python$$v ; \
 		cd $(CURDIR)/build-python$$v && \
 		        PYTHON_INCLUDE_DIR=$$(python$$v -c "import sysconfig;print(sysconfig.get_config_var('INCLUDEPY'))") ; \
@@ -33,7 +31,7 @@
 			      -DPYTHON_LIBRARY:FILEPATH=$$PYTHON_LIBRARY \
 			      -DDOCUMENTATION:BOOL=OFF \
 			      -DEXAMPLES:BOOL=OFF \
-			      -DFTDIPP:BOOL=OFF \
+			      -DFTDIPP:BOOL=ON \
 			      -DFTDI_EEPROM:BOOL=OFF \
 			      -DPYTHON_BINDINGS:BOOL=ON \
 			      -DLINK_PYTHON_LIBRARY:BOOL=OFF \
@@ -42,15 +40,12 @@
 
 override_dh_auto_build:
 	make -C $(CURDIR)/build-main
-	for v in $(PYVERS) ; do \
+	for v in $(PY3VERS) ; do \
 		make -C $(CURDIR)/build-python$$v ; \
 	done
 
 override_dh_auto_install:
 	make -C $(CURDIR)/build-main install DESTDIR=$(CURDIR)/debian/tmp
-	for v in $(PY2VERS) ; do \
-		make -C $(CURDIR)/build-python$$v install DESTDIR=$(CURDIR)/debian/tmp ; \
-	done
 	for v in $(PY3VERS) ; do \
 		make -C $(CURDIR)/build-python$$v install DESTDIR=$(CURDIR)/debian/tmp ; \
 		python$$v -c "from distutils import sysconfig; import os; destdir='$(CURDIR)/debian/tmp'; libdir=sysconfig.get_python_lib(); ext=sysconfig.get_config_var('EXT_SUFFIX'); os.rename(os.path.join(destdir + libdir, '_ftdi1.so'), os.path.join(destdir + libdir, '_ftdi1' + ext))" ; \
@@ -59,8 +54,3 @@
 override_dh_auto_clean:
 	rm -fr $(CURDIR)/build-*
 	dh_auto_clean
-
-override_dh_strip-arch:
-	dh_strip -plibftdi1-2 --dbg-package=libftdi1-2-dbg
-	dh_strip -plibftdipp1-2v5 --dbg-package=libftdipp1-2v5-dbg
-	dh_strip --remaining-packages
